Package org.eclipse.net4j.util

# Klasse ReflectUtil.ReflectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.ReflectUtil.ReflectionException

Alle implementierten Schnittstellen:
  `Serializable`

Umschließende Klasse:
  `ReflectUtil`

public static class ReflectUtil.ReflectionException extends RuntimeException

Seit:
  3.14
Autor:
  Eike Stepper
Siehe auch:
  - Serialisierte Form

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`ReflectionException()`
`ReflectionException(Exception cause)`
`ReflectionException(String message)`
`ReflectionException(String message, Exception cause)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`Exception`
`unwrap()`
`static Exception`
`unwrap(Exception exception)`
`static ReflectUtil.ReflectionException`
`wrap(Exception exception)`

### Von Klasse geerbte Methoden java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Konstruktordetails

### ReflectionException

public ReflectionException()

### ReflectionException

public ReflectionException(String message, Exception cause)

### ReflectionException

public ReflectionException(String message)

### ReflectionException

public ReflectionException(Exception cause)

## Methodendetails

### unwrap

public Exception unwrap()

Seit:
  3.20

### unwrap

public static Exception unwrap(Exception exception)

### wrap

public static ReflectUtil.ReflectionException wrap(Exception exception)